%define php_sapi mod_php
%define so_file  libphp5.so

Name: mod_php5
Version: %php_version
Release: %php_release

Summary: The PHP5 HTML-embedded scripting language for use with Apache
Group: System/Servers
License: PHP
Url: http://www.php.net/

PreReq: control >= 0.6.2
PreReq: php5-libs = %php_version-%php_release, apache >= %apache_version-%apache_release

Conflicts: mod_php
Provides: php-engine = %version-%release

Source1: %name-php.conf
Source2: %name.service
Source3: php.ini.%name.alt
Source4: %name-browscap.ini
Source5: php.%name.control

Patch0: php-5.0.5-sapi-mod_php.patch
Patch1: php-5.0.4-alt-namespace.patch

BuildPreReq: php5-devel = %php_version-%php_release

# Automatically added by buildreq on Fri Jul 01 2005
BuildRequires: apache-devel libmm-devel libxml2-devel zlib-devel

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

This package contains PHP version 5. You'll also need to install the
Apache web server.

%prep
%setup -T -c
%php_sapi_prepare apache
%patch0 -p1 -b .fix
%patch1 -p1

%build
%apache_apxs \
  $(php-config --includes) \
  $(php-config --ldflags) %php_optflags \
  $(php-config --libs) \
  -I. -I./include \
  -I/usr/include/libxml2 \
  -DUSE_TRANSFER_TABLES=1 \
  -lphp-%php_version \
  -o %so_file -c *.c 

%install
%__mkdir_p \
	%buildroot/%_libdir/apache \
	%buildroot/%apache_addonconfdir \
	%buildroot/%php_servicedir/mod_php \
	%buildroot/%php_sysconfdir/mod_php/php.d \
	%buildroot/%_sysconfdir/control.d/facilities \

%__install -m 644 %SOURCE1 %buildroot/%apache_addonconfdir/mod_php5.conf
%__install -m 700 %SOURCE2 %buildroot/%php_servicedir/mod_php/condrestart
%__install -m 644 %SOURCE3 %buildroot/%php_sysconfdir/mod_php/php.ini
%__install -m 644 %SOURCE4 %buildroot/%php_sysconfdir/mod_php/browscap.ini
%__install -m 755 %SOURCE5 %buildroot/%_sysconfdir/control.d/facilities/mod_php5

%__cp %so_file %buildroot/%_libdir/apache
%__subst 's,@php_version@,%php_version,g' \
	%buildroot/%php_sysconfdir/mod_php/php.ini \
	%buildroot/%_sysconfdir/control.d/facilities/mod_php5

%__subst 's,@htdocsdir@,%apache_htdocsdir,g' \
	%buildroot/%php_sysconfdir/mod_php/php.ini \
	%buildroot/%_sysconfdir/control.d/facilities/mod_php5

%pre
%pre_control mod_php5

%post
%post_control -s restricted mod_php5
if [ $1 = "1" ]; then
    if ! egrep -qs 'Include conf/addon-modules/mod_php5.conf' %apache_confdir/httpd.conf; then
        echo "Include conf/addon-modules/mod_php5.conf" >> %apache_confdir/httpd.conf
    fi
fi
%php_servicedir/mod_php/condrestart
%php_sapi_postin

%preun
if [ $1 = "0" ]; then
    if egrep -qs '^Include conf\/addon-modules\/mod_php5.conf' "%apache_confdir/httpd.conf"; then
        %__subst "/Include conf\/addon-modules\/mod_php5.conf/d" "%apache_confdir/httpd.conf"
        %php_servicedir/mod_php/condrestart
    fi
fi
%php_sapi_preun

%files
%_sysconfdir/control.d/facilities/*
%config(noreplace) %apache_addonconfdir/mod_php5.conf
%dir %php_sysconfdir/mod_php
%dir %php_sysconfdir/mod_php/php.d
%config(noreplace) %php_sysconfdir/mod_php/php.ini
%config(noreplace) %php_sysconfdir/mod_php/browscap.ini
%php_servicedir/mod_php
%_libdir/apache/%so_file
%doc apache
%doc CREDITS

%changelog
* Thu Aug 04 2005 Alexey Gladkov <legion@altlinux.ru> 5.0.5-alt0.cvs20050729
- new cvs snapshot.

* Wed Jul 13 2005 Sir Raorn <raorn@altlinux.ru> 5.0.4-alt0.M24.1
- Built for 5.0.4-alt0.M24.1

* Mon Jul 04 2005 Sir Raorn <raorn@altlinux.ru> 5.0.4-alt0.4
- rebuilt with alt0.4

* Fri Jul 01 2005 Sir Raorn <raorn@altlinux.ru> 5.0.4-alt0.3
- built for php5-5.0.4

* Mon May 30 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050530
- new CVS snapshot;
- new directive added:
  * alt_sapi_config_ini_scan_dir - directory to be scanned for configuration 
    files (default: /etc/php/PHP_VERSION/SAPI/php.d);

* Fri May 27 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050527
- New cvs snapshot;

* Thu Apr 07 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050406
- New cvs snapshot;

* Mon Apr 04 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050404
- New cvs snapshot.
- spec cleanup;
- control support added;
- default configuration changed;

* Wed Feb 09 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.11-alt0.cvs20050209
- New cvs snapshot.

* Mon Dec 20 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.11-alt0.cvs20041217
- new version;
- alternative fix;

* Fri Aug 06 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.9-alt0.cvs20040802
- New cvs snapshot;
- security fixes;

* Mon May 31 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040531
- New cvs snapshot;
- Environment variable PHPRC overriding is removed.

* Fri May 21 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040519
- New cvs snapshot;
- From php-common was removed all librares to new package php-libs;
- Remove config files to new place /etc/php/%%php_version/mod_php/.
- default php.ini changed:
    + browscap.ini added;
    + alternatives support added;
    + variable default_charset='koi8-r' added;
    + variable define_syslog_variables=On added;

* Fri Jan 30 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040130
- New cvs snapshot.
- Shared Memory support added (enable-shmop).

* Tue Jan 06 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040106
- postin/preun script bugfix.

* Mon Dec 22 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031211
- New cvs snapshot php4.3.5 CVS-20031211
- build scheme fix:
  - postin bugfix (#3324).

* Wed Nov 12 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031112
- New cvs snapshot php4.3.5 CVS-20031112
- iconv support fixed.
- minor build scheme fix:
  + macro php_optflags added.
  + sapi build environment changed.

* Sat Nov 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031101
- New cvs snapshot
- Simple spec cleanup

* Tue Oct 21 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031017
- First standalone build for ALT Linux;
- building by apxs;
- new configuraion scheme;
  - Fixed #2939, #2940.
